Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156089 - Output in unmatched entries section of SSHD runs together as one long line
Summary: Output in unmatched entries section of SSHD runs together as one long line
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: logwatch
Version: 2.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-27 13:54 UTC by Martin Gottlieb
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-29 10:38:57 UTC


Attachments (Terms of Use)

Description Martin Gottlieb 2005-04-27 13:54:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
Need newline between entries - change line 243 in sshd script 

from:

print @OtherList;

to:  

print join( "\n", @OtherList );

Version-Release number of selected component (if applicable):
logwatch-2.6-2.EL2

How reproducible:
Always

Steps to Reproduce:
1. Run logwatch script
2. Review results
3.
  

Actual Results:  Entries in "unmatched entries" sub-section of the SSHD service section
are run together as one long line and are difficult to read.

Expected Results:  Each entry should appear on a separate line.

Additional info:

Comment 1 John Dalbec 2005-05-02 13:01:50 UTC
--- sshd        Mon May  2 08:52:46 2005
+++ /etc/log.d/scripts/services/sshd    Mon May  2 08:53:02 2005
@@ -240,7 +240,7 @@
 
    if ($#OtherList >= 0) {
       print "\n**Unmatched Entries**\n";
-      print @OtherList;
+      print join "\n", @OtherList;
    }
 
    print "\n\n ---------------------- SSHD End ------------------------- \n\n";

Comment 2 Ivana Varekova 2005-08-29 10:38:57 UTC
This does not meet the requirements for RHEL 2.1, which is currently in
maintenance mode; as such, this won't be fixed for 2.1.


Note You need to log in before you can comment on or make changes to this bug.